var ligaRedirect="";
$(document).ready(function()
{
    iniFormValidate('frmInstruccionesEnc242','iniciarEncuesta');

    function iniFormValidate($formid,$btnSubmitId) {

        $.validator.setDefaults({
            submitHandler: function () {
                document.getElementById($btnSubmitId).disabled=true;
                $("#"+$btnSubmitId).html('<i class="fa fa-spin fa-spinner"></i> Cargando...');
                guardarInstruccionesEncuesta242($formid,$btnSubmitId);
            }
        });
        $('#'+$formid).validate();
    }
    function guardarInstruccionesEncuesta242($formid,$btnSubmitId)
    {
        var url = '../controllers/Encuesta242Controller.php';
        var $datos = $('#'+$formid).serialize();
        $.post(url,$datos,
            function (data)
            {
                if(data.type==='success'){
                    mostrarMensajeGuardado("Sección de instrucciones guardada", "Se ha registrado las instrucciones con éxito.", "success", "Aceptar")
                }
                else
                {
                    mostrarMensajeGuardado("Sección de instrucciones guardada", "No se ha registrado las instrucciones con éxito.", "error", "Aceptar")
                }
                document.getElementById($btnSubmitId).disabled=false;
                $('#'+$btnSubmitId).html('<i class="fa fa-2x fa-copy"></i>Realizar Encuesta');
                ligaRedirect ="https://tiempo-mandarina.org/encuesta2/controllers/Encuesta242Controller.php?userId="+data.userId+"&nombreAlumno="+data.nombreAlumno+"&opc="+data.opc;
            }, 'json');
    }
});

function mostrarMensajeGuardado(titulo,texto,icon,button)
{
    Swal.fire({
        title: titulo,
        html: texto,
        icon: icon,
        confirmButtonColor: '#3085d6',
        confirmButtonText: '<i class="fa fa-close"> '+button,
        willClose: () => {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    }).then((result) => {
        if (result.isConfirmed) {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    })
}